Page MenuHomePhabricator

Save button on Japanese Wikipedia is unnecessarily long
Closed, ResolvedPublic

Description

Since 2004 the save button on Japanese Wikipedia has been customised to be much longer than is necessary: https://ja.wikipedia.org/w/index.php?title=MediaWiki:Savearticle&action=history

It was changed from (rough Google translations):

  • Save page
  • Save as there is no problem with copyright
  • Post with full understanding and consent of the following statement

Newer versions refer to "the above copyright statement", which in the VE is just wrong (the copyright statement appears below). The copyright statement itself also states that the user agrees to the terms by clicking save/publish, so this extra legalese is unnecessary, and is not present on any other wiki.

In WikiEditor this much longer message was not much a problem, so nothing was done:

But since then new editors have been introduced (VE, CX, ...) that reuse these messages and expect them to be relatively short translations of "Save/Publish page/article/changes"

This creates a cramped UI experience:

This would've been even worse on mobile until recently when we created new "short" versions of the messages ("Publish" vs "Publish changes"):

We should reach out to the ja.wiki community and suggest they revert to the default translations provided by the software.

Event Timeline

Esanders created this task.Feb 7 2020, 6:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 7 2020, 6:38 PM
Apap04 added a subscriber: Apap04.Feb 8 2020, 12:03 AM

Asked for a change on this help page, and the talk page for the component

Thanks for reaching out to us. I introduced your comment in Japanese and now we start to discuss at our Village pump. I hope you wait our result and/or join our discussion (Even we're discussing in Japanese, English message is also welcome).

aokomoriuta added a comment.EditedFeb 8 2020, 6:22 AM

By the way, the current button "以上の記述を完全に理解し同意した上で投稿する" in Japanese means "I perfectly understand and agree the above statements, then contribute" in English.

Rxy awarded a token.Feb 9 2020, 11:48 AM
Rxy added subscribers: RStallman-legalteam, jrbs, Rxy.

To: @RStallman-legalteam ,
CC: @jrbs
Could you please ask for your supervisor to consulting to lawyer having knowledge to the Laws of Japan about of Civil Code Contract?

Hi all. This post was directed my way, as I read some Japanese and am one of the WMF lawyers who works on copyright and licensing issues. I may be able to assist, but I'm not sure what the request is related to. Could you let me know what you're looking for here? Feel free to also send an email to legal at wikimedia.org and we can communicate through there. I've found that to be easier if there's a lot of context someone wants to send us.

Thanks for claim it. I'll send your team of the summary.

Rxy signed these changes with MFA.Feb 26 2020, 8:06 PM

@Jrogers-WMF
I sent an e-mail to your team

whym added a subscriber: whym.EditedMar 4 2020, 12:35 PM

@Jrogers-WMF @Rxy:

Was there anything you can share from your private correspondence? I don't always ask this, but the public discussion here and on-wiki seem to be pending on what you might have been discussing privately.

In the meantime, my own account on the issue is:

As far as I can see, the reason why some people are hesitant to the change is the fear of allowing (relatively new) contributors to claim they didn't notice/understand the licensing requirement when they hit the button, giving them the right to request their contribution to be removed from the wiki retroactively. If the button label changes from 'Agree with everything written above (or below) and publish my changes' to just 'Publish', the "I didn't know" argument might become significantly more convincing. Other wikis might be fine with the short version, but their concern is that things might be different under Japanese laws. Some want the WMF or a Japanese lawyer consulted by the WMF to guarantee that the shorter version is legally effective enough in Japan in the context of wikis like Wikipedia, before making the change. (Which does not necessarily reflect my opinion, I'm just trying to represent the arguments against the change.)

On-wiki discussions go back into 2004 - https://ja.wikipedia.org/wiki/MediaWiki‐ノート:Savearticle, https://ja.wikipedia.org/w/index.php?title=MediaWiki%E2%80%90%E3%83%8E%E3%83%BC%E3%83%88:Copyrightwarning&oldid=1220639.

As a result of on-wiki public discussion, at this moment, jawiki community concluded that we can not reach a consensus to accept making save/publish button text short as default.

The reason for our conclusion is the lack of consideration for legal impact, especially about copyright and civil contract on the internet.
Although we didn't prove the legal effectiveness of the current button text, it has not caused serious problems so far.
Nobody provides what from the legal view will be changed after shortening the button text.

Note that this is not the final result. If you show us the legal basis to guarantee that the change is fine, we would reopen the discussion and be able to make a consensus to accept this proposal.

Rxy changed the task status from Open to Stalled.Mar 4 2020, 7:54 PM
Rxy added a project: WMF-Legal.

Under investigation by WMF legal team.

Krenair added a subscriber: Krenair.Mar 4 2020, 9:11 PM

Apologies that this stalled for a while. From our research, we don't believe that changing the language to remove the "I fully understand" section will have any impact on the enforceability of the CC licenses in Japan. The language regarding the licensing is likely clear enough and the Japanese Civil Code does not provide extra protections for any special language such as stating "I fully understand this."

Rxy changed the task status from Stalled to Open.May 17 2020, 7:53 PM

Apologies that this stalled for a while. From our research, we don't believe that changing the language to remove the "I fully understand" section will have any impact on the enforceability of the CC licenses in Japan. The language regarding the licensing is likely clear enough and the Japanese Civil Code does not provide extra protections for any special language such as stating "I fully understand this."

Thanks for investigation.

@Rxy can this be re-proposed to the community now that we have the opinion from legal that it is not necessary?

@Esanders Rxy is currently inactive on Japanese Wikipedia because s/he is blocked.
I posted the discussion page on jawp again today. Now we are going to make a consensus about this problem.

Please wait for it, or join our discussion (we welcome your comment also in English).

JTannerWMF moved this task from To Triage to Triaged on the VisualEditor board.
JTannerWMF moved this task from Backlog to Blocked by others on the Editing-team (Tracking) board.

@aokomoriuta Thanks very much for the update.

@Esanders We (jawiki) reached the consensus on the VP discussion page to delete the custom MW messages and now they are MW default.

Apap04 closed this task as Resolved.Oct 5 2020, 10:38 PM

since this has been resolved, i'll assume it's safe to close the task. thanks! :)

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 5 2020, 10:38 PM